# Uses of Interface
org.apache.lucene.search.CollectorManager

Packages that use CollectorManager
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of CollectorManager in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement CollectorManager
  Modifier and Type
  Class
  Description
  `class`
  `MultiCollectorManager`
  A `CollectorManager` implements which wrap a set of `CollectorManager` as `MultiCollector` acts for `Collector`.
  `class`
  `TopFieldCollectorManager`
  Create a TopFieldCollectorManager which uses a shared hit counter to maintain number of hits and a shared `MaxScoreAccumulator` to propagate the minimum score across segments if the primary sort is by relevancy.
  `class`
  `TopScoreDocCollectorManager`
  Create a TopScoreDocCollectorManager which uses a shared hit counter to maintain number of hits and a shared `MaxScoreAccumulator` to propagate the minimum score across segments
  `class`
  `TotalHitCountCollectorManager`
  Collector manager based on `TotalHitCountCollector` that allows users to parallelize counting the number of hits, expected to be used mostly wrapped in `MultiCollectorManager`.
  Methods in org.apache.lucene.search with parameters of type CollectorManager
  Modifier and Type
  Method
  Description
  `<C extends Collector, T>
  T`
  IndexSearcher.`search(Query query, CollectorManager<C,T> collectorManager)`
  Lower-level search API.
  Constructors in org.apache.lucene.search with parameters of type CollectorManager
  Modifier
  Constructor
  Description
  ``
  `MultiCollectorManager(CollectorManager<? extends Collector,?>... collectorManagers)`